Create a credential

Creates a new credential for a client. credential_username and
credential_password are encrypted using api_key_decrypt_password
before being stored.

Requires client_id, credential_name, credential_password, and
api_key_decrypt_password.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
integer
required
string
required

Decryption secret used, together with the API key's
server-side decrypt hash, to encrypt credential_username and
credential_password before storage.

string
required
length ≤ 200
string | null
string | null
string | null
string | null

Plaintext; encrypted before storage.

string
required
length ≤ 500

Plaintext; encrypted before storage.

string | null
string | null
integer
enum
Defaults to 0
Allowed:
integer
Defaults to 0
integer
Defaults to 0
Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json